Listar segmentos
curl --request GET \
--url https://api.notifique.dev/v1/segments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/segments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/segments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clseg01abc",
"name": "Cachoeiro VIP con marketing",
"definition": {
"version": 1,
"match": "all",
"rules": [
{
"type": "tag",
"tagId": "cltag01vip"
},
{
"type": "property",
"key": "cidade",
"op": "contains",
"value": "cachoeiro",
"ignoreCase": true
},
{
"type": "topic",
"topicId": "cltopic01",
"subscribed": true
},
{
"type": "contactField",
"field": "languages",
"op": "includes",
"value": "pt-BR"
},
{
"type": "receiveMarketing",
"value": true
}
]
},
"createdAt": "2026-06-28T12:00:00.000Z",
"updatedAt": "2026-07-01T09:00:00.000Z"
}
]
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}Segmentos
Listar segmentos
Lista segmentos registrados.
GET
/
v1
/
segments
Listar segmentos
curl --request GET \
--url https://api.notifique.dev/v1/segments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/segments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/segments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"id": "clseg01abc",
"name": "Cachoeiro VIP con marketing",
"definition": {
"version": 1,
"match": "all",
"rules": [
{
"type": "tag",
"tagId": "cltag01vip"
},
{
"type": "property",
"key": "cidade",
"op": "contains",
"value": "cachoeiro",
"ignoreCase": true
},
{
"type": "topic",
"topicId": "cltopic01",
"subscribed": true
},
{
"type": "contactField",
"field": "languages",
"op": "includes",
"value": "pt-BR"
},
{
"type": "receiveMarketing",
"value": true
}
]
},
"createdAt": "2026-06-28T12:00:00.000Z",
"updatedAt": "2026-07-01T09:00:00.000Z"
}
]
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>",
"code": "<string>"
}¿Esta página le ayudó?
⌘I

